#include "testlib.h"

const int minN = 2;
const int maxN = 1000000;
const int minA = 1;
const int maxA = 1000000;

int main() {
  registerValidation();
  inf.readInt(minN, maxN);
  inf.readSpace();
  inf.readInt(minA, maxA);
  inf.readSpace();
  inf.readInt(minA, maxA);
  inf.readEoln();
  inf.readEof();
  return 0;
}
